Loading...
Searching...
No Matches
openshot::EffectInfo Class Reference

This class returns a listing of all effects supported by libopenshot. More...

`#include <EffectInfo.h>`

## Public Member Functions

EffectBase * | CreateEffect (std::string effect_type)
| Create an instance of an effect (factory style).

## Static Public Member Functions

static std::string | Json ()
| Generate JSON string of this object.
static Json::Value | JsonValue ()
| Generate Json::Value for this object.

## Detailed Description

This class returns a listing of all effects supported by libopenshot.

Use this class to return a listing of all supported effects, and their descriptions.

Definition at line 28 of file EffectInfo.h.

## Member Function Documentation

## CreateEffect()

EffectBase * EffectInfo::CreateEffect | ( | std::string | effect_type | ) |

Create an instance of an effect (factory style).

Definition at line 27 of file EffectInfo.cpp.

## Json()

std::string EffectInfo::Json | ( |  | ) |

static

Generate JSON string of this object.

Definition at line 20 of file EffectInfo.cpp.

## JsonValue()

Json::Value EffectInfo::JsonValue | ( |  | ) |

static

Generate Json::Value for this object.

Definition at line 134 of file EffectInfo.cpp.

Referenced by Json().

The documentation for this class was generated from the following files:

- EffectInfo.h
- EffectInfo.cpp